Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.nodedata
Class NodeNameAdapter

    java.lang.Object
      info.bioinfweb.treegraph.document.nodedata.TextElementDataAdapter
          info.bioinfweb.treegraph.document.nodedata.NodeNameAdapter

All Implemented Interfaces:
  NodeDataAdapter

    public class NodeNameAdapter

extends TextElementDataAdapter
implements NodeDataAdapter

Field Summary
`private static NodeNameAdapter` | `sharedInstance`

Constructor Summary
`NodeNameAdapter()`

Method Summary
`boolean` | `assignData(Node node, TextElementData data)`
`protected void` | `createData(Node node)` This method should create the data object if does not already exist.
`TextElementData` | `getData(Node node)`
`Node` | `getDataElement(Node node)` This method should return the tree element which contains the data which is edited with the implementation of the respective adapter.
`java.text.DecimalFormat` | `getDecimalFormat(Node node)`
`static NodeNameAdapter` | `getSharedInstance()`
`java.lang.String` | `toString()` A description of the adapter that is readable by the user should be returned here.

Methods inherited from class info.bioinfweb.treegraph.document.nodedata.TextElementDataAdapter
`decimalOnly, delete, getDecimal, getText, isDecimal, isEmpty, isString, setDecimal, setText, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.nodedata.NodeDataAdapter
`decimalOnly, delete, getDecimal, getText, isDecimal, isEmpty, isString, setDecimal, setText`

Field Detail

### sharedInstance

    private static NodeNameAdapter sharedInstance

Constructor Detail

### NodeNameAdapter

    public NodeNameAdapter()

Method Detail

### getSharedInstance

    public static NodeNameAdapter getSharedInstance()

### getData

    public TextElementData getData(Node node)

  Specified by:
    `getData` in class `TextElementDataAdapter`

### assignData

    public boolean assignData(Node node,
                              TextElementData data)

  Specified by:
    `assignData` in class `TextElementDataAdapter`

### getDecimalFormat

    public java.text.DecimalFormat getDecimalFormat(Node node)

  Specified by:
    `getDecimalFormat` in class `TextElementDataAdapter`

### toString

    public java.lang.String toString()

  Description copied from interface: `NodeDataAdapter`
  A description of the adapter that is readable by the user should be returned here.

  Specified by:
    `toString` in interface `NodeDataAdapter`
  Overrides:
    `toString` in class `java.lang.Object`

### createData

    protected void createData(Node node)

  Description copied from class: `TextElementDataAdapter`
  This method should create the data object if does not already exist.

  Specified by:
    `createData` in class `TextElementDataAdapter`
  Parameters:
    `node` - - the node wich is assiciated with the data object

### getDataElement

    public Node getDataElement(Node node)

  Description copied from interface: `NodeDataAdapter`
  This method should return the tree element which contains the data which is edited with the implementation of the respective adapter.

  Specified by:
    `getDataElement` in interface `NodeDataAdapter`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD